## org.biojava.bio.symbol
Interface AtomicSymbol

All Known Subinterfaces:
  DotState, EmissionState, ModelInState, State

All Known Implementing Classes:
  IntegerAlphabet.IntegerSymbol, SimpleAtomicSymbol, DoubleAlphabet.DoubleSymbol

public interface AtomicSymbol
extends Symbol

A symbol that is indivisible.

Atomic symbols are the real underlying elements that a SymbolList is meant to be composed of. DNA nucleotides are atomic, as are amino-acids. The getMatches() method should return an alphabet containing just itself.

Author:
  Matthew Pocock

Method Summary
`Alphabet` `getMatches()` Return an alphabet containing only this symbol.

Methods inherited from interface org.biojava.bio.symbol.Symbol
`getName, getToken`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Method Detail

### getMatches

    public Alphabet getMatches()

  Return an alphabet containing only this symbol.
  Specified by:
    getMatches in interface Symbol
  Tags copied from interface: Symbol
  Returns:
    the Alphabet of symbols matched by this symbol